	INCLUDE EFR32MG12.inc		; CPU register definitions
	EXPORT	main
	IMPORT	GPIO_setup		; import names from other code files
	IMPORT	LETIMER_setup		

RED_LED		EQU	8
GREEN_LED	EQU	9
	
;-------------------------------------	; CODE segment in flash (ROM)
	AREA    |.text|, CODE, READONLY
main	PROC				; main user code
	bl	GPIO_setup
	bl	LETIMER_setup		; setup 1-sec timer for periodic events

	mov	R5, #10			; toggle red LED 5 times
loop1
	PUTW	1<<RED_LED, GPIO_PD_DOUTTGL, GPIO	; toggle green LED
	
L1	
	GETW	LETIMERn_IF, LETIMER0	; R1 = flags
	ands	R1, #0x04		; check COMP0 flag
	beq	L1
	PUTW	0x1F, LETIMERn_IFC	; clear LETIMER flags
	
	subs	R5, #1
	bne	loop1			; loop back		
	
	PUTW	17, LETIMERn_ROUTELOC0, LETIMER0	; set LETIMER to drive
	PUTW	1,  LETIMERn_ROUTEPEN			;  green LED directly
	OORW	1<<2, LETIMERn_CTRL			; set toggle output mode
	PUTW	1, LETIMERn_REP0			; required to enable channel output

loop2	b	loop2			; toggle green LED forever	

	ENDP

;-------------------------------------
	ALIGN
	END
	